"""Automatic verification of ANUGA flows.
See functions exercised by this wrapper for more details
"""

import unittest
import os


class Test_flow(unittest.TestCase):
    def setUp(self):
        if file.endswith('.stdout') or\
               file.endswith('.sww') or\
               file.endswith('.msh'):
                os.remove(file)
                
        
    def tearDown(self):
        pass

    def test_inflow_using_flowline(self):
        """Exercise Ted Rigby's test of steady state flows
        and Manning depth
        """
        
        #print
        s = 'test_inflow_using_flowline.py'
        #print s
        res = os.system('python %s > test_inflow_using_flowline.stdout' %s)
        assert res == 0


#-------------------------------------------------------------
if __name__ == '__main__':
    suite = unittest.makeSuite(Test_flow, 'test')
    runner = unittest.TextTestRunner(verbosity=2)
    runner.run(suite)
